#This code replicates the results from model (1) in Table 5 of "Post-crackdown effectiveness of field-based forest law enforcement in the Brazilian Amazon"

#install.packages("Matching") # use if package Matching is not previously installed
library(Matching) # load package Matching

d<-read.csv("prematching_data.csv") # load data (needs to be in working directory)

Y<-d$Y # set outcome
Tr<-d$Tr # set treatment
X<-d[,4:26] # define covariate set

rr1<-Match(Y=Y,Tr=Tr,X=X,ties=T,replace=T,Weight=2) # run matching analysis

summary(rr1) # view results